# Utils

#### func isTokenAmountPackable

```dart
bool isTokenAmountPackable(String amount)
```

Checks whether the token amount can be packed (and thus used in the transaction)

#### func isFeeAmountPackable

```dart
bool isFeeAmountPackable(String fee)
```

Checks whether the fee amount can be packed (and thus used in the transaction)

#### func closestPackableTokenAmount

```dart
String closestPackableTokenAmount(String amount)
```

Returns the closest possible packable token amount. Returned amount is always less or equal to the provided amount.

#### func closestPackableFeeAmount

```dart
String closestPackableFeeAmount(String fee)
```

Returns the closest possible packable fee amount. Returned amount is always less or equal to the provided amount.

#### Example

```dart
var amount = "1234567899808787";
print("Original amount: " + amount);
expect(isTokenAmountPackable(amount: amount), false);
amount = closestPackableTokenAmount(amount: amount);
expect(isTokenAmountPackable(amount: amount), true);
print("Converted amount: " + amount);
var fee = "10000567777";
print("Original fee: " + fee);
expect(isFeeAmountPackable(fee: fee), false);
fee = closestPackableFeeAmount(fee: fee);
expect(isFeeAmountPackable(fee: fee), true);
print("Converted fee: " + fee);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zk.link/developer/sdk/changelog-2/utils.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
